Bug 176175 - lftp: ship perl-String-CRC32 in its own RPM
Summary: lftp: ship perl-String-CRC32 in its own RPM
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lftp   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-19 20:22 UTC by Jose Pedro Oliveira
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-21 03:30:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
perl-String-CRC32 specfile (1.51 KB, text/plain)
2005-12-19 20:24 UTC, Jose Pedro Oliveira
no flags Details

Description Jose Pedro Oliveira 2005-12-19 20:22:03 UTC
Description of problem:
The perl module String::CRC32 is being shipped inside lftp 3.3.x.
It makes harder to update perl-String-CRC32 and/or lftp and for other packagers
to keep track of perl module versions shiped in Fedora Core (eg: for Fedora
Extras).

Also the perl module is being installed in the wrong directory tree:
it shopuld be installed under the vendor directories and not in site
directories:

$ rpm -qpl lftp-3.3.5-1.i386.rpm  | grep perl
/usr/lib/perl5/site_perl/5.8.7/i386-linux-thread-multi/String/CRC32.pm
/usr/lib/perl5/site_perl/5.8.7/i386-linux-thread-multi/String/CRC32.pod
/usr/lib/perl5/site_perl/5.8.7/i386-linux-thread-multi/auto/String/CRC32/CRC32.so


Version-Release number of selected component (if applicable):
rawhide: lftp-3.3.x 
 
Expected results:
Ship the perl module String::CRC32 in its own RPM (perl-String-CRC32)

Additional info:
String::CRC32 CPAN homepage:
http://search.cpan.org/dist/String-CRC32/

Comment 1 Jose Pedro Oliveira 2005-12-19 20:24:17 UTC
Created attachment 122421 [details]
perl-String-CRC32 specfile

perl-String-CRC32 specfile using the Fedora Extras' template
(the dist tag variable needs to be dropped).

Comment 2 Jason Vas Dias 2005-12-19 22:41:04 UTC
OK, perl-String-CRC32 CVS imported, should be in devel soon .

Comment 3 Jason Vas Dias 2005-12-20 20:32:11 UTC
New perl-String-CRC32-1.3-1 RPM, and lftp-3.3.5-2 which does not Provide:
perl-String-CRC32, now in Rawhide.

Comment 4 Jose Pedro Oliveira 2005-12-21 14:27:13 UTC
Jason,

Thanks.

Comment 5 Jose Pedro Oliveira 2006-01-06 15:38:36 UTC
Jason,

There is no bugzilla component for perl-String-CRC32 (the current license
information is wrong).



Comment 6 Jason Vas Dias 2006-01-10 17:35:32 UTC
Jose -
Sorry, but I don't see anything wrong with the license string -
MANY (if not most) perl modules have the 'GPL or Artistic' license.

AFAIK, adding a bugzilla component is not automatic - I've emailed the
bugzilla maintainer and a new component for perl-String-CRC32 should be
added shortly.

Thanks,
Jason

Comment 7 Jose Pedro Oliveira 2006-01-10 17:41:01 UTC
(In reply to comment #6)
> Sorry, but I don't see anything wrong with the license string -
> MANY (if not most) perl modules have the 'GPL or Artistic' license.

But this is not the case. Check the copyright section in the main POD page:

  http://search.cpan.org/dist/String-CRC32/CRC32.pod#COPYRIGHT

Quoting
---
The author of this package disclaims all copyrights and releases it into the
public domain.
---


Comment 8 Jason Vas Dias 2006-01-10 18:49:37 UTC
OK, there is now a perl-String-CRC32 component in bugzilla. 

About the license, yes, sorry, I guess it isn't GPL - should it be 'distributable' 
? I'll make it so in the next version unless I hear otherwise.
(Personally, I can't see that it makes much difference - the author is careful
 to make the correct attributions to derived work, so I guess he'd like others
 to do the same for String::CRC32 - which is all GPL really means :-)


Comment 9 Jose Pedro Oliveira 2006-01-10 19:13:57 UTC
(In reply to comment #8)
> OK, there is now a perl-String-CRC32 component in bugzilla. 

Thanks.


> About the license, yes, sorry, I guess it isn't GPL - should it be 
> 'distributable' ? 

Rpmlint doesn't complain if the license is "Public Domain".  It was this
license that has been specified in the Fedora Extras' perl-String-CRC32
copy (FC-3 and FC-4 branches).

jpo

Comment 10 Jose Pedro Oliveira 2006-01-19 19:23:26 UTC
Jason,

Regarding the second part of comment #9:
Do you want me to open a ticket against perl-String-CRC32?

jpo

Comment 11 Jason Vas Dias 2006-01-19 19:43:48 UTC
Jose - OK, I'll change the license string to 'Public Domain' with 
perl-String-CRC32-1.3-2.FC5 .



Comment 12 Jose Pedro Oliveira 2006-01-21 03:30:50 UTC
Thanks.


Note You need to log in before you can comment on or make changes to this bug.